org.keycloak.protocol.oidc.grants.ciba

## Class CibaGrantType

- java.lang.Object
- - org.keycloak.protocol.oidc.grants.ciba.CibaGrantType

-     public class CibaGrantType
      extends Object

  Author:
    Pedro Igor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADDITIONAL_BACKCHANNEL_REQ_PARAMS_PREFIX` Prefix used to store additional params from the backchannel authentication request into `AuthenticationSessionModel` note to be available later in Authenticators, RequiredActions etc.
    `static String` | `ADDITIONAL_CALLBACK_PARAMS_PREFIX` Prefix used to store additional params from the original authentication callback response into `AuthenticationSessionModel` note to be available later in Authenticators, RequiredActions etc.
    `static String` | `AUTH_REQ_ID`
    `static String` | `BINDING_MESSAGE`
    `static String` | `CLIENT_NOTIFICATION_TOKEN`
    `static String` | `IS_CONSENT_REQUIRED`
    `static String` | `LOGIN_HINT`
    `static String` | `LOGIN_HINT_TOKEN`
    `static String` | `REQUEST`
    `static String` | `REQUEST_URI`
    `static String` | `REQUESTED_EXPIRY`
    `static String` | `USER_CODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CibaGrantType(javax.ws.rs.core.MultivaluedMap<String,String> formParams, ClientModel client, KeycloakSession session, TokenEndpoint tokenEndpoint, RealmModel realm, EventBuilder event, Cors cors)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.ws.rs.core.UriBuilder` | `authenticationUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `authorizationUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `javax.ws.rs.core.Response` | `cibaGrant()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IS_CONSENT_REQUIRED

          public static final String IS_CONSENT_REQUIRED

      See Also:
        Constant Field Values

    - #### LOGIN_HINT

          public static final String LOGIN_HINT

      See Also:
        Constant Field Values

    - #### LOGIN_HINT_TOKEN

          public static final String LOGIN_HINT_TOKEN

      See Also:
        Constant Field Values

    - #### BINDING_MESSAGE

          public static final String BINDING_MESSAGE

      See Also:
        Constant Field Values

    - #### AUTH_REQ_ID

          public static final String AUTH_REQ_ID

      See Also:
        Constant Field Values

    - #### CLIENT_NOTIFICATION_TOKEN

          public static final String CLIENT_NOTIFICATION_TOKEN

      See Also:
        Constant Field Values

    - #### REQUESTED_EXPIRY

          public static final String REQUESTED_EXPIRY

      See Also:
        Constant Field Values

    - #### USER_CODE

          public static final String USER_CODE

      See Also:
        Constant Field Values

    - #### REQUEST

          public static final String REQUEST

      See Also:
        Constant Field Values

    - #### REQUEST_URI

          public static final String REQUEST_URI

      See Also:
        Constant Field Values

    - #### ADDITIONAL_CALLBACK_PARAMS_PREFIX

          public static final String ADDITIONAL_CALLBACK_PARAMS_PREFIX

      Prefix used to store additional params from the original authentication callback response into `AuthenticationSessionModel` note to be available later in Authenticators, RequiredActions etc. Prefix is used to prevent collisions with internally used notes.
      See Also:
        `AuthenticationSessionModel.getClientNote(String)`, Constant Field Values

    - #### ADDITIONAL_BACKCHANNEL_REQ_PARAMS_PREFIX

          public static final String ADDITIONAL_BACKCHANNEL_REQ_PARAMS_PREFIX

      Prefix used to store additional params from the backchannel authentication request into `AuthenticationSessionModel` note to be available later in Authenticators, RequiredActions etc. Prefix is used to prevent collisions with internally used notes.
      See Also:
        `AuthenticationSessionModel.getClientNote(String)`, Constant Field Values

  - ### Constructor Detail

    - #### CibaGrantType

          public CibaGrantType(javax.ws.rs.core.MultivaluedMap<String,String> formParams,
                               ClientModel client,
                               KeycloakSession session,
                               TokenEndpoint tokenEndpoint,
                               RealmModel realm,
                               EventBuilder event,
                               Cors cors)

  - ### Method Detail

    - #### authorizationUrl

          public static javax.ws.rs.core.UriBuilder authorizationUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### authenticationUrl

          public static javax.ws.rs.core.UriBuilder authenticationUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### cibaGrant

          public javax.ws.rs.core.Response cibaGrant()

Copyright © 2021 JBoss by Red Hat. All rights reserved.